Upstash Documentation

Get Failed Workflow Run

Get details of a specific failed workflow run from the DLQ.
1 min read
get/v2/workflows/dlq/{dlqId}
Request example
Response
get/v2/workflows/dlq/{dlqId}

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Path parameters

dlqIdstringrequired#
The DLQ ID of the failed workflow run.

Responses

application/json
Failed workflow run details
dlqIdstring#
The DLQ ID of the failed workflow message.
workflowUrlstring#
The URL of the workflow.
workflowRunIdstring#
The ID of the workflow run.
workflowCreatedAtinteger#
The timestamp when the workflow run was created (Unix timestamp in milliseconds).
urlstring#
The URL of the failed workflow step.
methodstring#
The HTTP method used for the workflow step.
headerobject#
The HTTP headers sent to the workflow step.
Show child attributes
{key}string[]#
bodystring#
The body of the message if it is composed of utf8 chars only, empty otherwise.
bodyBase64string#
The base64 encoded body if the body contains a non-utf8 char only, empty otherwise.
maxRetriesinteger#
The number of retries that should be attempted in case of delivery failure.
createdAtinteger#
The unix timestamp in milliseconds when the message was created.
failureCallbackstring#
The url where we send a callback to after the workflow fails.
callerIPstring#
IP address of the publisher of this workflow.
labelstringdeprecated#
The label assigned to the workflow run. Deprecated in favor of labels.
labelsstring[]#
The list of labels assigned to the workflow run.
flowControlKeystring#
The flow control key used for rate limiting.
failureFunctionStatestring#
The state of the failure function if applicable.
responseStatusinteger#
The HTTP status code received from the destination API.
responseHeaderobject#
The HTTP response headers received from the destination API.
Show child attributes
{key}string[]#
responseBodystring#
The body of the response if it is composed of utf8 chars only, empty otherwise.
responseBodyBase64string#
The base64 encoded body of the response if the body contains a non-utf8 char only, empty otherwise.